# pkg-config::get-variable

Gets the value of a variable for the specified package.

### Usage

`string pkg-config::get-variable(package, name)`

### Parameters

Name | Type | Description
--- | --- | ---
package | string | The package for which the variable should be retrieved.
name | string | The name of the variable.

### Return Value

The value of variable name for the specified package.

### Exceptions

The function will fail in any of the following circumstances:

- `pkg-config` could not be started.
- package does not exist.

### Requirements

Assembly: NAnt.Core (0.90.3780.0)